Skip to main content
GET
/
v6
/
messages
/
{id}
Get message
curl --request GET \
  --url https://sandbox.tight.com/v6/messages/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "msg_67890",
    "conversationId": "<string>",
    "author": {
      "userId": "<string>",
      "email": "user@example.com"
    },
    "text": "Let's discuss the new feature requirements",
    "status": "ACTIVE",
    "createdDateTime": "2023-11-07T05:31:56Z",
    "lastUpdatedDateTime": "2023-11-07T05:31:56Z",
    "reactions": [
      {
        "emojiCode": "thumbs_up",
        "authorInfo": [
          {
            "userId": "<string>",
            "email": "user@example.com"
          }
        ]
      }
    ],
    "attachments": [
      {
        "id": "att_894321",
        "url": "https://files.example.com/attachment/receipt.pdf",
        "fileName": "receipt.pdf",
        "fileSize": "24 KB",
        "createdDateTime": "2023-11-07T05:31:56Z",
        "iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
      }
    ]
  },
  "error": [
    {
      "type": "UNKNOWN_ERROR",
      "message": "<string>",
      "param": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the message

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.

error
object[]